Package org.h2.bnf.context

# Class DbTableOrView

java.lang.Object
org.h2.bnf.context.DbTableOrView

public class DbTableOrView extends Object
Contains meta data information about a table or a view. This class is used by the H2 Console.

## Constructor Summary

Constructors
Constructor
Description
`DbTableOrView(DbSchema schema, ResultSet rs)`

## Method Summary

Modifier and Type
Method
Description
`DbColumn[]`
`getColumns()`
`String`
`getName()`
`String`
`getQuotedName()`
`DbSchema`
`getSchema()`
`boolean`
`isView()`
`void`
`readColumns(DatabaseMetaData meta, PreparedStatement ps)`
Read the column for this table from the database meta data.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DbTableOrView

public DbTableOrView(DbSchema schema, ResultSet rs) throws SQLException

Throws:
  `SQLException`

## Method Details

### getSchema

public DbSchema getSchema()

Returns:
  The schema this table belongs to.

### getColumns

public DbColumn[] getColumns()

Returns:
  The column list.

### getName

public String getName()

Returns:
  The table name.

### isView

public boolean isView()

Returns:
  True if this represents a view.

### getQuotedName

public String getQuotedName()

Returns:
  The quoted table name.

### readColumns

public void readColumns(DatabaseMetaData meta, PreparedStatement ps) throws SQLException
Read the column for this table from the database meta data.

Parameters:
  `meta` - the database meta data
  `ps` - prepared statement with custom query for H2 database, null for others
Throws:
  `SQLException` - on failure